---
title: Seedream 이미지 편집 | RunAPI
description: edit image 엔드포인트를 사용하여 비동기 Task를 생성하세요.
url: https://runapi.ai/ko/docs/api/seedream/edit-image.md
canonical: https://runapi.ai/ko/docs/api/seedream/edit-image
locale: ko
---

> HTML 버전: https://runapi.ai/ko/docs/api/seedream/edit-image
> 에이전트용 사이트 색인: https://runapi.ai/llms.txt

# Seedream 이미지 편집

## 개요

지원되는 모델로 edit image 엔드포인트를 사용하세요. 반환된 Task ID를 사용하여 상태를 조회하거나, 아래에 설명된 전달을 위해 callback_url을 제공하세요.

### 빠른 시작

1. API 키를 만들고 RUNAPI_API_KEY로 설정합니다.
2. 지원되는 모델을 선택하고 해당 모델의 스키마와 일치하는 본문으로 POST 요청을 전송합니다.
3. 반환된 작업 ID를 저장한 후, 터미널 상태가 될 때까지 폴링하거나 아래에 문서화된 콜백을 처리하세요.

## 엔드포인트

POST /api/v1/seedream/edit_image

Base URL: https://runapi.ai

API 버전: v1

인증: Authorization: Bearer YOUR_API_TOKEN

## 지원 모델

현재 가격, 속도 제한 및 상업적 이용 세부 정보는 모델 페이지를 여십시오.

- [seedream-4.5-edit](https://runapi.ai/ko/models/seedream/4.5-edit)
- [seedream-5-lite-edit](https://runapi.ai/ko/models/seedream/5-lite-edit)
- [seedream-5-pro-edit](https://runapi.ai/ko/models/seedream/5-pro-edit)
- [seedream-v4-edit](https://runapi.ai/ko/models/seedream/v4-edit)

## 요청 스키마

필드와 허용 값은 선택된 모델에 따라 다릅니다. 제공된 경우 callback_url은 아래에 문서화된 Task 전달을 수신합니다.

### seedream-4.5-edit

```json
{
  "aspect_ratio": {
    "enum": [
      "1:1",
      "4:3",
      "3:4",
      "16:9",
      "9:16",
      "2:3",
      "3:2",
      "21:9"
    ],
    "required": true,
    "type": "string"
  },
  "callback_url": {
    "type": "string"
  },
  "enable_safety_checker": {
    "type": "boolean"
  },
  "model": {
    "type": "string"
  },
  "output_count": {
    "type": "integer"
  },
  "output_quality": {
    "enum": [
      "basic",
      "high"
    ],
    "required": true,
    "type": "string"
  },
  "output_resolution": {
    "type": "string"
  },
  "prompt": {
    "type": "string"
  },
  "seed": {
    "type": "integer"
  },
  "source_image_urls": {
    "max_items": 14,
    "min_items": 1,
    "required": true,
    "type": "array"
  }
}
```

### seedream-5-lite-edit

```json
{
  "aspect_ratio": {
    "enum": [
      "1:1",
      "4:3",
      "3:4",
      "16:9",
      "9:16",
      "2:3",
      "3:2",
      "21:9"
    ],
    "required": true,
    "type": "string"
  },
  "callback_url": {
    "type": "string"
  },
  "enable_safety_checker": {
    "type": "boolean"
  },
  "model": {
    "type": "string"
  },
  "output_count": {
    "type": "integer"
  },
  "output_format": {
    "default": "png",
    "enum": [
      "png",
      "jpeg"
    ],
    "type": "string"
  },
  "output_quality": {
    "enum": [
      "basic",
      "high",
      "ultra"
    ],
    "required": true,
    "type": "string"
  },
  "output_resolution": {
    "type": "string"
  },
  "prompt": {
    "type": "string"
  },
  "seed": {
    "type": "integer"
  },
  "source_image_urls": {
    "max_items": 14,
    "min_items": 1,
    "required": true,
    "type": "array"
  }
}
```

### seedream-5-pro-edit

```json
{
  "aspect_ratio": {
    "enum": [
      "1:1",
      "4:3",
      "3:4",
      "16:9",
      "9:16",
      "2:3",
      "3:2",
      "21:9"
    ],
    "required": true,
    "type": "string"
  },
  "callback_url": {
    "type": "string"
  },
  "enable_safety_checker": {
    "type": "boolean"
  },
  "model": {
    "type": "string"
  },
  "output_format": {
    "default": "png",
    "enum": [
      "png",
      "jpeg"
    ],
    "type": "string"
  },
  "output_quality": {
    "enum": [
      "basic",
      "high"
    ],
    "required": true,
    "type": "string"
  },
  "prompt": {
    "length": true,
    "max": 5000,
    "min": 3,
    "required": true,
    "type": "string"
  },
  "source_image_urls": {
    "max_items": 10,
    "min_items": 1,
    "required": true,
    "type": "array"
  }
}
```

### seedream-v4-edit

```json
{
  "aspect_ratio": {
    "enum": [
      "1:1",
      "4:3",
      "3:4",
      "3:2",
      "2:3",
      "16:9",
      "9:16",
      "21:9"
    ],
    "type": "string"
  },
  "callback_url": {
    "type": "string"
  },
  "enable_safety_checker": {
    "type": "boolean"
  },
  "model": {
    "type": "string"
  },
  "output_count": {
    "enum": [
      1,
      2,
      3,
      4,
      5,
      6
    ],
    "type": "integer"
  },
  "output_quality": {
    "type": "string"
  },
  "output_resolution": {
    "enum": [
      "1k",
      "2k",
      "4k"
    ],
    "type": "string"
  },
  "prompt": {
    "type": "string"
  },
  "seed": {
    "type": "integer"
  },
  "source_image_urls": {
    "max_items": 10,
    "min_items": 1,
    "required": true,
    "type": "array"
  }
}
```

#### 조건부 규칙

이 요구 사항은 나열된 모든 조건이 일치할 때 적용됩니다.

- **다음의 경우**: `model` = `seedream-4.5-edit`; **허용되지 않음**: `output_format`
- **다음의 경우**: `model` = `seedream-5-pro-edit`; **허용되지 않음**: `output_resolution`, `output_count`, `seed`
- **다음의 경우**: `model` = `seedream-v4-edit`; **허용되지 않음**: `output_format`

## 수락 만들기

HTTP 202 - POST /api/v1/seedream/edit_image

### 응답 스키마

```json
{
  "properties": {
    "billing": {
      "properties": {
        "refund": {
          "oneOf": [
            {
              "properties": {
                "refunded_at": {
                  "type": "string"
                }
              },
              "required": [
                "refunded_at"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "reservation": {
          "oneOf": [
            {
              "properties": {
                "amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "amount_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "settlement": {
          "oneOf": [
            {
              "properties": {
                "amount_micro_cents": {
                  "type": "integer"
                },
                "charged_amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "charged_amount_cents",
                "amount_micro_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        }
      },
      "required": [
        "reservation",
        "settlement",
        "refund"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "processing"
      ],
      "type": "string"
    },
    "task_replayed": {
      "type": "boolean"
    }
  },
  "required": [
    "id",
    "status",
    "billing"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "id": "tsk_reference_demo",
  "status": "processing"
}
```

## 폴링 처리 중

HTTP 200 - GET /api/v1/seedream/edit_image/:id

### 응답 스키마

```json
{
  "properties": {
    "billing": {
      "properties": {
        "refund": {
          "oneOf": [
            {
              "properties": {
                "refunded_at": {
                  "type": "string"
                }
              },
              "required": [
                "refunded_at"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "reservation": {
          "oneOf": [
            {
              "properties": {
                "amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "amount_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "settlement": {
          "oneOf": [
            {
              "properties": {
                "amount_micro_cents": {
                  "type": "integer"
                },
                "charged_amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "charged_amount_cents",
                "amount_micro_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        }
      },
      "required": [
        "reservation",
        "settlement",
        "refund"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "processing"
      ],
      "type": "string"
    }
  },
  "required": [
    "id",
    "status",
    "billing"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "id": "tsk_reference_demo",
  "status": "processing"
}
```

## 폴링 완료

HTTP 200 - GET /api/v1/seedream/edit_image/:id

### 응답 스키마

```json
{
  "properties": {
    "billing": {
      "properties": {
        "refund": {
          "oneOf": [
            {
              "properties": {
                "refunded_at": {
                  "type": "string"
                }
              },
              "required": [
                "refunded_at"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "reservation": {
          "oneOf": [
            {
              "properties": {
                "amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "amount_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "settlement": {
          "oneOf": [
            {
              "properties": {
                "amount_micro_cents": {
                  "type": "integer"
                },
                "charged_amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "charged_amount_cents",
                "amount_micro_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        }
      },
      "required": [
        "reservation",
        "settlement",
        "refund"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    "id": {
      "type": "string"
    },
    "images": {
      "items": {
        "properties": {
          "url": {
            "type": "string",
            "x-runapi-generated-media": true
          }
        },
        "required": [
          "url"
        ],
        "type": "object",
        "unevaluatedProperties": false
      },
      "type": "array"
    },
    "status": {
      "enum": [
        "completed"
      ],
      "type": "string"
    }
  },
  "required": [
    "id",
    "status",
    "images",
    "billing"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "id": "tsk_reference_demo",
  "images": [
    {
      "url": "https://cdn.runapi.ai/public/samples/image.jpg"
    }
  ],
  "status": "completed"
}
```

## 폴링 실패

HTTP 200 - GET /api/v1/seedream/edit_image/:id

### 응답 스키마

```json
{
  "properties": {
    "billing": {
      "properties": {
        "refund": {
          "oneOf": [
            {
              "properties": {
                "refunded_at": {
                  "type": "string"
                }
              },
              "required": [
                "refunded_at"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "reservation": {
          "oneOf": [
            {
              "properties": {
                "amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "amount_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "settlement": {
          "oneOf": [
            {
              "properties": {
                "amount_micro_cents": {
                  "type": "integer"
                },
                "charged_amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "charged_amount_cents",
                "amount_micro_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        }
      },
      "required": [
        "reservation",
        "settlement",
        "refund"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    "error": {
      "type": "string"
    },
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "failed"
      ],
      "type": "string"
    }
  },
  "required": [
    "id",
    "status",
    "error",
    "billing"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "error": "Task processing failed.",
  "id": "tsk_reference_demo",
  "status": "failed"
}
```

## 고객 콜백: 완료됨

HTTP 200 - POST callback_url

### 응답 스키마

```json
{
  "properties": {
    "id": {
      "type": "string"
    },
    "images": {
      "items": {
        "properties": {
          "url": {
            "type": "string",
            "x-runapi-generated-media": true
          }
        },
        "required": [
          "url"
        ],
        "type": "object",
        "unevaluatedProperties": false
      },
      "type": "array"
    },
    "status": {
      "enum": [
        "completed"
      ],
      "type": "string"
    }
  },
  "required": [
    "id",
    "status",
    "images"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "id": "tsk_reference_demo",
  "images": [
    {
      "url": "https://cdn.runapi.ai/public/samples/image.jpg"
    }
  ],
  "status": "completed"
}
```

## 고객 콜백: 실패함

HTTP 200 - POST callback_url

### 응답 스키마

```json
{
  "properties": {
    "error": {
      "oneOf": [
        {
          "type": "string"
        },
        {
          "properties": {
            "code": {
              "type": "string"
            },
            "limit_cents": {
              "type": "integer"
            },
            "message": {
              "type": "string"
            },
            "reset_at": {
              "format": "date-time",
              "type": [
                "string",
                "null"
              ]
            },
            "used_cents": {
              "type": "integer"
            },
            "window": {
              "enum": [
                "1h",
                "1d",
                "7d",
                "daily",
                "weekly",
                "monthly",
                "lifetime"
              ],
              "type": "string"
            }
          },
          "required": [
            "code",
            "message"
          ],
          "type": "object",
          "unevaluatedProperties": false
        }
      ]
    },
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "failed"
      ],
      "type": "string"
    }
  },
  "required": [
    "id",
    "status",
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "error": {
    "code": "generation_failed",
    "message": "Task processing failed."
  },
  "id": "tsk_reference_demo",
  "status": "failed"
}
```

## 오류

HTTP 401 - POST /api/v1/seedream/edit_image

### 응답 스키마

```json
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 오류 메시지.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "error": "Authentication required"
}
```

## 오류

HTTP 401 - GET /api/v1/seedream/edit_image/:id

### 응답 스키마

```json
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 오류 메시지.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "error": "Authentication required"
}
```

## 오류

HTTP 400 - POST /api/v1/seedream/edit_image

### 응답 스키마

```json
{
  "oneOf": [
    {
      "properties": {
        "error": {
          "description": "사람이 읽을 수 있는 오류 메시지.",
          "type": "string"
        }
      },
      "required": [
        "error"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    {
      "properties": {
        "error": {
          "description": "사람이 읽을 수 있는 유효성 검사 요약입니다.",
          "type": "string"
        },
        "errors": {
          "additionalProperties": {
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "description": "공개 요청 필드를 키로 하는 유효성 검사 메시지로, 각 필드에 대해 사람이 읽을 수 있는 문자열 배열이 포함됩니다.",
          "type": "object"
        }
      },
      "required": [
        "error",
        "errors"
      ],
      "type": "object",
      "unevaluatedProperties": false
    }
  ]
}
```

### 응답 예시

```json
{
  "error": "model must be one of: seedream-4.5-edit, seedream-5-lite-edit, seedream-5-pro-edit, seedream-v4-edit"
}
```

## 오류

HTTP 402 - POST /api/v1/seedream/edit_image

### 응답 스키마

```json
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 오류 메시지.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "error": "Insufficient balance"
}
```

## 오류

HTTP 429 - POST /api/v1/seedream/edit_image

### 응답 스키마

```json
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 오류 메시지.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "error": "API key credit limit exceeded"
}
```

## 오류

HTTP 409 - POST /api/v1/seedream/edit_image

### 응답 스키마

```json
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 오류 메시지.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "error": "The request uses features that are not supported for the selected model"
}
```

## 오류

HTTP 429 - POST /api/v1/seedream/edit_image

### 응답 스키마

```json
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 오류 메시지.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "error": "Rate limit reached. Please retry later."
}
```

## 오류

HTTP 503 - POST /api/v1/seedream/edit_image

### 응답 스키마

```json
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 오류 메시지.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "error": "Service under maintenance, please try again later"
}
```

## 오류

HTTP 504 - POST /api/v1/seedream/edit_image

### 응답 스키마

```json
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 오류 메시지.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "error": "The request timed out"
}
```

## 오류

HTTP 404 - GET /api/v1/seedream/edit_image/:id

### 응답 스키마

```json
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 오류 메시지.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "error": "Task with id 'tsk_reference_demo' not found"
}
```

## 생성된 코드 샘플

cURL을 직접 사용하거나 해당 언어의 SDK를 설치하세요. 각 샘플은 이 레퍼런스에
표시된 유효성 검사된 요청을 제출합니다.

### curl

```curl
curl -X POST https://runapi.ai/api/v1/seedream/edit_image \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"model":"seedream-5-pro-edit","prompt":"Change the vase to cobalt blue.","aspect_ratio":"1:1","output_quality":"high","source_image_urls":["https://cdn.runapi.ai/public/samples/image.jpg"]}'
```

### javascript

#### 설치

```bash
npm install @runapi.ai/seedream
```

```javascript
import { SeedreamClient } from "@runapi.ai/seedream";

const client = new SeedreamClient({ apiKey: process.env.RUNAPI_API_KEY });
const task = await client.editImage.create({
  "model": "seedream-5-pro-edit",
  "prompt": "Change the vase to cobalt blue.",
  "aspect_ratio": "1:1",
  "output_quality": "high",
  "source_image_urls": [
    "https://cdn.runapi.ai/public/samples/image.jpg"
  ]
});
```

### python

#### 설치

```bash
pip install runapi-seedream
```

```python
import os
from runapi.seedream import SeedreamClient

client = SeedreamClient(api_key=os.environ["RUNAPI_API_KEY"])
task = client.edit_image.create(
  model="seedream-5-pro-edit",
  prompt="Change the vase to cobalt blue.",
  aspect_ratio="1:1",
  output_quality="high",
  source_image_urls=["https://cdn.runapi.ai/public/samples/image.jpg"]
)
```

### go

#### 설치

```bash
go get github.com/runapi-ai/seedream-sdk/go@latest
```

```go
package main

import (
  "context"
  "log"
  "os"

  "github.com/runapi-ai/core-sdk/go/option"
  seedream "github.com/runapi-ai/seedream-sdk/go/seedream"
)

func main() {
  client, err := seedream.NewClient(option.WithAPIKey(os.Getenv("RUNAPI_API_KEY")))
  if err != nil {
    log.Fatal(err)
  }

  task, err := client.EditImage.Create(context.Background(), seedream.EditImageParams{
    Model: seedream.SeedreamModel("seedream-5-pro-edit"),
    Prompt: "Change the vase to cobalt blue.",
    AspectRatio: seedream.AspectRatio("1:1"),
    OutputQuality: seedream.OutputQuality("high"),
    SourceImageURLs: []string{"https://cdn.runapi.ai/public/samples/image.jpg"},
  })
  if err != nil {
    log.Fatal(err)
  }
  _ = task
}
```

### ruby

#### 설치

```bash
gem install runapi-seedream
```

```ruby
require "runapi/seedream"

client = RunApi::Seedream::Client.new(api_key: ENV.fetch("RUNAPI_API_KEY"))
task = client.edit_image.create(
  model: "seedream-5-pro-edit",
  prompt: "Change the vase to cobalt blue.",
  aspect_ratio: "1:1",
  output_quality: "high",
  source_image_urls: ["https://cdn.runapi.ai/public/samples/image.jpg"]
)
```

### java

#### 설치

```kotlin
implementation("ai.runapi:runapi-seedream")
```

```java
import ai.runapi.seedream.SeedreamClient;
import ai.runapi.seedream.types.EditImageParams;
import ai.runapi.core.polling.TaskCreateResponse;

public final class Example {
  public static void main(String[] args) {
    SeedreamClient client = SeedreamClient.builder()
        .apiKey(System.getenv("RUNAPI_API_KEY"))
        .build();
    TaskCreateResponse task = client.editImage().create(
        EditImageParams.builder()
        .model("seedream-5-pro-edit")
        .prompt("Change the vase to cobalt blue.")
        .aspectRatio("1:1")
        .outputQuality("high")
        .sourceImageUrls(java.util.Arrays.asList("https://cdn.runapi.ai/public/samples/image.jpg"))
            .build()
    );
  }
}
```

### php

#### 설치

```bash
composer require runapi-ai/seedream
```

```php
<?php

require __DIR__ . '/vendor/autoload.php';

use RunApi\Core\ClientOptions;
use RunApi\Seedream\SeedreamClient;

$client = new SeedreamClient(new ClientOptions(apiKey: getenv('RUNAPI_API_KEY')));
$task = $client->editImage->create([
  "model" => "seedream-5-pro-edit",
  "prompt" => "Change the vase to cobalt blue.",
  "aspect_ratio" => "1:1",
  "output_quality" => "high",
  "source_image_urls" => ["https://cdn.runapi.ai/public/samples/image.jpg"]
]);
```

## 관련 가이드

- [인증](https://runapi.ai/ko/docs/guides/authentication.md)
- [빠른 시작](https://runapi.ai/ko/docs/guides/task-api/quickstart.md)

---

## RunAPI의 더 많은 정보

- [홈](https://runapi.ai/ko/.md)
- [모델 카탈로그](https://runapi.ai/ko/models.md)
- [요금](https://runapi.ai/ko/pricing.md)
- [제공사](https://runapi.ai/ko/models)
- [문서](https://runapi.ai/ko/docs/guides)
- [SDK](https://runapi.ai/ko/sdk.md)
- [CLI](https://runapi.ai/ko/cli.md)
- [MCP Server](https://runapi.ai/ko/mcp.md)
- [Claude Code와 Cursor](https://runapi.ai/ko/claude-code-vs-cursor.md)
- [Cursor API 설정](https://runapi.ai/ko/cursor-api-setup.md)
- [RunAPI와 OpenRouter 비교](https://runapi.ai/ko/openrouter-alternative.md)
- [엔터프라이즈](https://runapi.ai/ko/contact.md)
- [문의](https://runapi.ai/ko/contact.md)
- [약관](https://runapi.ai/ko/terms.md)
- [개인정보](https://runapi.ai/ko/privacy.md)
- [에이전트용 사이트 색인](https://runapi.ai/llms.txt)

문의: contact@runapi.ai

## 구조화된 데이터

```json
[
  {
    "@context": "https://schema.org",
    "inLanguage": "ko",
    "@type": "WebSite",
    "name": "RunAPI",
    "url": "https://runapi.ai/ko",
    "potentialAction": {
      "@type": "SearchAction",
      "target": {
        "@type": "EntryPoint",
        "urlTemplate": "https://runapi.ai/ko/models?q={search_term_string}"
      },
      "query-input": "required name=search_term_string"
    }
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "ko",
    "@type": "Organization",
    "name": "RunAPI",
    "url": "https://runapi.ai/ko",
    "logo": {
      "@type": "ImageObject",
      "url": "https://runapi.ai/koicon.svg"
    },
    "sameAs": [
      "https://github.com/runapi-ai"
    ]
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "ko",
    "@type": "TechArticle",
    "headline": "Seedream 이미지 편집",
    "description": "edit image 엔드포인트를 사용하여 비동기 Task를 생성하세요.",
    "url": "https://runapi.ai/ko/docs/api/seedream/edit-image",
    "mainEntityOfPage": "https://runapi.ai/ko/docs/api/seedream/edit-image"
  }
]
```
